import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//Here we intialize the map projection
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
//Here we created the svg structure for geo path 
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

//Here we loaded all the data from the GitHub
json('https://gist.githubusercontent.com/Sheshidharreddy/87d7c73dcc245cb5ec6c7f12c9db2315/raw/dfc13b4e326c60b012d7ad7bcc80bfc1e30b7f79/topojson.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
//Here we create a svg file to load the data of countries in the path
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









